package com.fp.dto.batch;

import java.io.Serializable;
import java.sql.Date;
import java.util.HashMap;

/**
 * Clase que maneja las fecha contables con la cuales se ejecuta el proceso del fin de dia, y la transaccion con la que
 * ejecuta el fin de dia.
 * 
 * @author Jorge Vaca
 * @version 2.1
 */
public class BatchModuleRequest extends HashMap<String, Object> implements Serializable {

    /** Version de la clase. */
    private static final long serialVersionUID = 1L;

    /** Fecha contable de la aplicacion. */
    private Date accountingDate;

    /** Fecha de trabajo de la aplicacion. */
    private Date workingingDate;

    /** Fecha contable anterior a la fecha contable. */
    private Date previousAccountingDate;

    /** Proxima fecha contable */
    private Date nextAccountingDate;

    /** Modulo asociado a la cuenta a la cual se va a proceder a realizar el cierre de fin de día. */
    private String moduleCode;

    /** Codigo de modulo al que pertenece la transaccion con la cual se ejecuta el proceso de fin de dia. */
    private String transactionModule;

    /** Codigo de transaccion que origina la ejecucion del batch. */
    private Integer transactionCode;

    /** Version de transaccion que origina la ejecucion del batch. */
    private Integer transactionVersion;

    /** Codigo de compania asociado a cuentas. */
    private Integer company;

    /** Journalid de la transaccion. */
    private String journalid;

    /**
     * Entrega el valor de: accountingDate
     * 
     * @return Date
     */
    public Date getAccountingDate() {
        return this.accountingDate;
    }

    /**
     * Fija el valor de accountingDate
     * 
     * @param accountingDate value to set
     */
    public void setAccountingDate(Date accountingDate) {
        this.accountingDate = accountingDate;
    }

    /**
     * Entrega el valor de: workingingDate
     * 
     * @return Date
     */
    public Date getWorkingingDate() {
        return this.workingingDate;
    }

    /**
     * Fija el valor de workingingDate
     * 
     * @param workingingDate value to set
     */
    public void setWorkingingDate(Date workingingDate) {
        this.workingingDate = workingingDate;
    }

    /**
     * Entrega el valor de: previousAccountingDate
     * 
     * @return Date
     */
    public Date getPreviousAccountingDate() {
        return this.previousAccountingDate;
    }

    /**
     * Fija el valor de previousAccountingDate
     * 
     * @param previousAccountingDate value to set
     */
    public void setPreviousAccountingDate(Date previousAccountingDate) {
        this.previousAccountingDate = previousAccountingDate;
    }

    /**
     * Entrega el valor de: nextAccountingDate
     * 
     * @return Date
     */
    public Date getNextAccountingDate() {
        return this.nextAccountingDate;
    }

    /**
     * Fija el valor de nextAccountingDate
     * 
     * @param nextAccountingDate value to set
     */
    public void setNextAccountingDate(Date nextAccountingDate) {
        this.nextAccountingDate = nextAccountingDate;
    }

    /**
     * Entrega el valor de: moduleCode
     * 
     * @return String
     */
    public String getModuleCode() {
        return this.moduleCode;
    }

    /**
     * Fija el valor de moduleCode
     * 
     * @param moduleCode value to set
     */
    public void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    /**
     * Entrega el valor de: transactionModule
     * 
     * @return String
     */
    public String getTransactionModule() {
        return this.transactionModule;
    }

    /**
     * Fija el valor de transactionModule
     * 
     * @param transactionModule value to set
     */
    public void setTransactionModule(String transactionModule) {
        this.transactionModule = transactionModule;
    }

    /**
     * Entrega el valor de: transactionCode
     * 
     * @return Integer
     */
    public Integer getTransactionCode() {
        return this.transactionCode;
    }

    /**
     * Fija el valor de transactionCode
     * 
     * @param transactionCode value to set
     */
    public void setTransactionCode(Integer transactionCode) {
        this.transactionCode = transactionCode;
    }

    /**
     * Entrega el valor de: transactionVersion
     * 
     * @return Integer
     */
    public Integer getTransactionVersion() {
        return this.transactionVersion;
    }

    /**
     * Fija el valor de transactionVersion
     * 
     * @param transactionVersion value to set
     */
    public void setTransactionVersion(Integer transactionVersion) {
        this.transactionVersion = transactionVersion;
    }

    /**
     * Entrega el valor de: company
     * 
     * @return Integer
     */
    public Integer getCompany() {
        return this.company;
    }

    /**
     * Fija el valor de: company
     * 
     * @param company value to set
     */
    public void setCompany(Integer company) {
        this.company = company;
    }

    /**
     * @return the journalid
     */
    public String getJournalid() {
        return this.journalid;
    }

    /**
     * @param journalid the journalid to set
     */
    public void setJournalid(String journalid) {
        this.journalid = journalid;
    }

}
